var express = require('express');
var router = express.Router();

///////////////////////////////////////////////
/// node.js 예제 ///
///////////////////////////////////////////////

/* GET 클라이언트 접속 */
router.get('/get', (req, res, next) => {
    console.log("get send!");
    res.send("get send!");
});

/* POST 클라이언트 접속 */
router.post('/post', () => {
    console.log("post send!");
    res.send("post send!");
});

/* GET home page */
router.get('/getmain', (req, res, next) => {
    res.render('main', { title: 'GET Express' });
});

/* POST home page */
router.post('/postmain', () => {
    res.render('main', { title: 'POST Express' });
});

module.exports = router;
